[FFe] Please update Cairo-Dock Plug-ins to 2.3.0~1 version

Bug #723995 reported by Matthieu Baerts on 2011-02-23
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
cairo-dock-plug-ins (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: cairo-dock-plug-ins

The Cairo-Dock team proposes a Release Candidate for the version 2.3.0.
It's a major version, and it brings several improvements and fixes several bugs.

This version has been proposed on Debian too (on mentors.debian.net).

A bzr branch will be linked to this bug report asap.

PS: don't forget to upload Cairo-Dock Core before because it contains the new API (LP: #723994)

Related branches

Fabounet (fabounet03) wrote :

Is anyone taking care of this bug report ?
many applets will be broken in Natty if we keep the 2.2 version...

Michael Vogt (mvo) on 2011-03-24
Changed in cairo-dock-plug-ins (Ubuntu):
status: New → Confirmed
importance: Undecided → Wishlist
summary: - Please update Cairo-Dock Plug-ins to 2.3.0~0rc1 version
+ [FFe] Please update Cairo-Dock Plug-ins to 2.3.0~0rc1 version
Matthieu Baerts (matttbe) wrote :

This is the debian directory

Matthieu Baerts (matttbe) wrote :

And now the debdiff

Matthieu Baerts (matttbe) wrote :

As said on the bug 723994, I'm proposing the 2.3.0~1 version. It fixes a few bugs that affected the previous RC1 release.
* The official tarball is available on launchpad: http://launchpad.net/cairo-dock-plug-ins/2.3/2.3.0/+download/cairo-dock-plugins-2.3.0~1.tar.gz
* I've pushed my modifications on this branch: lp:~cairo-dock-team/ubuntu/natty/cairo-dock-plug-ins/2.3.0-1
* I'm going to join the .debian.tar.gz and the .dsc generated by debuild command.
* If I've to upload new files or comment something, don't hesitate to answer or to contact me on irc.freenode.net!

Thank you for your help!

Matthieu Baerts (matttbe) wrote :
summary: - [FFe] Please update Cairo-Dock Plug-ins to 2.3.0~0rc1 version
+ [FFe] Please update Cairo-Dock Plug-ins to 2.3.0~1 version
Matthieu Baerts (matttbe) wrote :

This is the current debdiff: From "cairo-dock-plug-ins_2.2.0~4-0ubuntu4" to "cairo-dock-plug-ins_2.3.0~1-0ubuntu1"

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock-plug-ins - 2.3.0~1-0ubuntu1

---------------
cairo-dock-plug-ins (2.3.0~1-0ubuntu1) natty; urgency=low

  * New Upstream Version (LP: #723995)
  * Upstream short ChangeLog (since 2.3.0~0rc1):
   - Updated translations
   - Updated the integration of the new versions of kwin and compiz
      (Switcher, ShowDesktop, etc.)
   - Removed a lot of useless g_print
   - Updated a few plug-ins to fit with the new version of the API (gldit)
   - Fixed a few bugs
   - Updated MeMenu, MessagingMenu and Status-Notifier to works
      with the latest version of dbusmenu, etc.
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/cairo-dock-plug-ins.install:
   - Added new files (interfaces for python, ruby, vala and mono)
  * debian/control:
   - Added new dependences for new applets (sensors and zeitgeist)
      and new interfaces (python, valac, ruby and mono)
   - Updated the version of cairo-dock build-dependences
  * debian/rules:
   - Added a new CMake flag to install python interface in debian/tmp
  * Updated debian/watch
 -- Matthieu Baerts (matttbe) <email address hidden> Wed, 20 Apr 2011 20:46:51 +0200

Changed in cairo-dock-plug-ins (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers